FileMessageHeader (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.streaming.messages

## Class FileMessageHeader

- java.lang.Object
- - org.apache.cassandra.streaming.messages.FileMessageHeader

-     public class FileMessageHeader
      extends java.lang.Object

  StreamingFileHeader is appended before sending actual data to describe what it's sending.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.UUID` | `cfId`
    `CompressionInfo` | `compressionInfo`
    `long` | `estimatedKeys`
    `long` | `repairedAt`
    `java.util.List<Pair<java.lang.Long,java.lang.Long>>` | `sections`
    `int` | `sequenceNumber`
    `static IVersionedSerializer<FileMessageHeader>` | `serializer`
    `java.lang.String` | `version` SSTable version

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileMessageHeader(java.util.UUID cfId, int sequenceNumber, java.lang.String version, long estimatedKeys, java.util.List<Pair<java.lang.Long,java.lang.Long>> sections, CompressionInfo compressionInfo, long repairedAt)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`
    `long` | `size()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static IVersionedSerializer<FileMessageHeader> serializer

    - #### cfId

          public final java.util.UUID cfId

    - #### sequenceNumber

          public final int sequenceNumber

    - #### version

          public final java.lang.String version

      SSTable version

    - #### estimatedKeys

          public final long estimatedKeys

    - #### sections

          public final java.util.List<Pair<java.lang.Long,java.lang.Long>> sections

    - #### compressionInfo

          public final CompressionInfo compressionInfo

    - #### repairedAt

          public final long repairedAt

  - ### Constructor Detail

    - #### FileMessageHeader

          public FileMessageHeader(java.util.UUID cfId,
                           int sequenceNumber,
                           java.lang.String version,
                           long estimatedKeys,
                           java.util.List<Pair<java.lang.Long,java.lang.Long>> sections,
                           CompressionInfo compressionInfo,
                           long repairedAt)

  - ### Method Detail

    - #### size

          public long size()

      Returns:
        total file size to transfer in bytes

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2014 The Apache Software Foundation